Welcome to mirror list, hosted at ThFree Co, Russian Federation.

git.kernel.org/pub/scm/git/git.git - Unnamed repository; edit this file 'description' to name the repository.
summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJunio C Hamano <junkio@cox.net>2006-07-18 00:01:27 +0400
committerJunio C Hamano <junkio@cox.net>2006-07-18 00:01:27 +0400
commit482faa8dafdf5dcf207b866b9c757271d9a45301 (patch)
tree316643f4205c03c0f51d74be21b9647107cebbf0 /git-fetch.sh
parentb9718d41c7e9c171e432bafac97a33be36f0e2bf (diff)
git-fetch: fix --keep vs --thin
When --keep is specified there is no reason to pass --thin to git-fetch-pack, which are mutually exclusive. This does not hurt because fetch-pack disables thin transfer when both are given internally, but still is confusing. Signed-off-by: Junio C Hamano <junkio@cox.net>
Diffstat (limited to 'git-fetch.sh')
-rwxr-xr-xgit-fetch.sh3
1 files changed, 2 insertions, 1 deletions
diff --git a/git-fetch.sh b/git-fetch.sh
index ee99280a2a..b6a223ee46 100755
--- a/git-fetch.sh
+++ b/git-fetch.sh
@@ -20,6 +20,7 @@ verbose=
update_head_ok=
exec=
upload_pack=
+keep=--thin
while case "$#" in 0) break ;; esac
do
case "$1" in
@@ -347,7 +348,7 @@ fetch_main () {
( : subshell because we muck with IFS
IFS=" $LF"
(
- git-fetch-pack $exec $keep --thin "$remote" $rref || echo failed "$remote"
+ git-fetch-pack $exec $keep "$remote" $rref || echo failed "$remote"
) |
while read sha1 remote_name
do